#ifndef SRC_TITLE_CC_INCLUDED
#define SRC_TITLE_CC_INCLUDED
/* Autogenerated from src/title.cc - changes will be overwritten. */
#include <common.hh>

#include "title.hh"
#include "display.hh"
#include "runner.hh"
#include "rodsoup.hh"
#include "font.hh"
#include "image.hh"
#include "main.hh"

class TitleRunner : public Runner
{
public:
    TheFont *big, *small;
    TitleRunner(char const *name_) : Runner(name_)
    {
        big = new TheFont("data/fonts/font.ttf", 60);
        small = new TheFont("data/fonts/font.ttf", 30);
    }

    void tick()
    {
        if (keypressed())
        {
            int k = readkey() >> 8;
            if (k == KEY_ESC)
                Runner::quit = 1;
            else if (k == KEY_F)
            {
                display->toggle_fullscreen();
            }
            else
            {
                my_runner->switch_to();
            }
        }
        if (mouse_b)
        {
            my_runner->switch_to();
        }
    }

    void draw()
    {
        int i;
        glEnable(GL_BLEND);

        glClearColor(0, 0, 0, 0);
        glClear(GL_COLOR_BUFFER_BIT);

        TheFont::text_pos(100, 0);
        TheFont::text_color(1, 1, 1, 1);
        TheFont::write("Light");

        TheFont::text_color(0.5, 0.5, 0.5, 1);
        TheFont::write(" and ");

        glDisable(GL_TEXTURE_2D);
        glColor4f(1, 1, 1, 0.25);
        glBegin(GL_TRIANGLE_FAN);
        glVertex2d(text_x, SCREEN_H - text_y);
        glVertex2d(text_x + 200, SCREEN_H - text_y);
        glVertex2d(text_x, SCREEN_H - text_y - 200);
        glEnd();

        TheFont::text_color(0, 0, 0, 1);
        TheFont::print("Darkness");

        big->set();
        for (i = 0; i < 5; i++)
        {
            TheFont::text_pos(100 + i * 3, 200 + i * 2);
            TheFont::text_color(1, 1, 1, 0.1 + i * 0.8 / 4);
            TheFont::print("Photon");
        }

        small->set();
        TheFont::text_pos(100, 400);
        TheFont::text_color(1, 1, 1, 0.9);
        TheFont::print("Press key/button to enter level %d!", level);
        TheFont::print("Esc to exit! F to toggle fullscreen!");
    }
};

#ifndef _CPROTO_
#include "title.pro"
#endif /* _CPROTO_ */
#endif /* SRC_TITLE_CC_INCLUDED */
